# edinet-explorer

**EDINET Explorer** is a Python-based GUI application designed to facilitate the collection and preprocessing of annual reports from the EDINET API. This tool is tailored for financial analysts, data scientists, and developers who need a streamlined way to access and process financial data from Japan's Electronic Disclosure for Investors' NETwork (EDINET).

## Table of Contents
- [Features](#features)
- [Installation](#installation)
- [User Guidance Compliance](#user-guidance-compliance)
- [Contribution Guidelines](#contribution-guidelines)
- [Contact](#contact)
- [License](#license)
- [Citation](#citation)
- [Acknowledgments](#Acknowledgments)

## Features
- **Data Collection**: Easily collect annual reports from the EDINET API.
- **Preprocessing**: Includes tools for cleaning, transforming, and organizing data.
- **User-Friendly Interface**: Intuitive GUI designed for both technical and non-technical users.
- **Data Export**: Export processed data in multiple formats for further analysis.

## Installation

### Prerequisites
- Python 3.8 or higher

### API KEY
An account is required to access EDINET API. 
Check it at [EDINET Guideline (Japanese)](https://disclosure2dl.edinet-fsa.go.jp/guide/static/disclosure/WZEK0110.html)

### Steps
This project is now available on PyPI.
You can install it as follows: 

```
$ pip install edinet-explorer
```
Then, you can run it directly in the terminal:
```
$ edinet-explorer
```

## User Guidance Compliance
When using EDINET Explorer, you are accessing data from EDINET, which is managed by the Financial Services Agency of Japan. Please ensure that your use of this tool complies with the EDINET User Guidelines, which govern the proper use of data provided through their services. 

By using this tool, you agree to adhere to these guidelines and take responsibility for ensuring that your actions conform to the rules set forth by EDINET.

## Contribution Guidelines
Thank you for your interest in this project! As it is currently in the early stages of development, I am not yet accepting direct contributions (such as commits or pull requests). However, I warmly welcome any feedback, suggestions, or bug reports. If you have any thoughts or ideas to share, please feel free to open an issue or email me :).

## Contact
You can reach me at vincentlpj.ou@gmail.com

## License
This project is licensed under the MIT License - see the LICENSE file for details.

## Citation
If this package was helpful in your work, feel free to cite it as:  
```
@misc{vincent-lpj2024, 
    author = {Peijun Liu}, 
    title = {EDINET Explorer}, 
    year = {2024}, 
    publisher = {GitHub}, 
    journal = {GitHub Repository}, 
    howpublished = {\url{https://github.com/vincent-lpj/edinet-explorer}}, }
```

Or simply:  
```
Liu, P. (2024). Edinet explorer [Computer software]. GitHub. https://github.com/vincent-lpj/edinet-explorer
```

## Acknowledgments
The icon used in this project was generated with the assistance of [ChatGPT by OpenAI](https://openai.com/chatgpt).